<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Attachments Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d6f/class_attachments.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Attachments Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8f3a11492a68425d50c4996f601ff86f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a8f3a11492a68425d50c4996f601ff86f">Attachments</a> (<a class="el" href="../../d4/d8f/class_container.html">Container</a> parent, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</td></tr>
<tr class="separator:a8f3a11492a68425d50c4996f601ff86f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81fc53632ec39023faead2ef18fdeaf6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a81fc53632ec39023faead2ef18fdeaf6">~Attachments</a> ()</td></tr>
<tr class="separator:a81fc53632ec39023faead2ef18fdeaf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4d03c0596604b4b1a4b5b54d9c1de6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d60/class_attachments_wrapper.html">AttachmentsWrapper</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a8e4d03c0596604b4b1a4b5b54d9c1de6">GetWrapper</a> ()</td></tr>
<tr class="separator:a8e4d03c0596604b4b1a4b5b54d9c1de6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8778c834a75ada693f356690b8c8885d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a8778c834a75ada693f356690b8c8885d">IsEmpty</a> ()</td></tr>
<tr class="separator:a8778c834a75ada693f356690b8c8885d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920674e372db46662ec86d3fe80523d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a920674e372db46662ec86d3fe80523d6">IsItemActive</a> ()</td></tr>
<tr class="separator:a920674e372db46662ec86d3fe80523d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7ed7dbcc8607fc32bb71a4a637ac84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a8f7ed7dbcc8607fc32bb71a4a637ac84">IsItemWithQuantityActive</a> ()</td></tr>
<tr class="separator:a8f7ed7dbcc8607fc32bb71a4a637ac84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d3f42c0f31178a4ea1ffad0618789f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a49d3f42c0f31178a4ea1ffad0618789f">UnfocusAll</a> ()</td></tr>
<tr class="separator:a49d3f42c0f31178a4ea1ffad0618789f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d469ee52ad33e88f10e177094f3378d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a2d469ee52ad33e88f10e177094f3378d">SetDefaultFocus</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> while_micromanagment_mode=false)</td></tr>
<tr class="separator:a2d469ee52ad33e88f10e177094f3378d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbc57413df20bb083387f47f42169780"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#adbc57413df20bb083387f47f42169780">SetLastActive</a> ()</td></tr>
<tr class="separator:adbc57413df20bb083387f47f42169780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8831c1bd38b2a749d49150bdaa888349"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a8831c1bd38b2a749d49150bdaa888349">SetActive</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> active)</td></tr>
<tr class="separator:a8831c1bd38b2a749d49150bdaa888349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51b251f40f7bc209d247494e04c04e62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a51b251f40f7bc209d247494e04c04e62">SelFirstActive</a> ()</td></tr>
<tr class="separator:a51b251f40f7bc209d247494e04c04e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c9d103c3503fae9db106b99871859d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a31c9d103c3503fae9db106b99871859d">GetFocusedSlotsIcon</a> ()</td></tr>
<tr class="separator:a31c9d103c3503fae9db106b99871859d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf1ae8b76e00525f0fefa3c04853e54"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a9cf1ae8b76e00525f0fefa3c04853e54">GetFocusedItem</a> ()</td></tr>
<tr class="separator:a9cf1ae8b76e00525f0fefa3c04853e54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d2cd8334525b70dcf75f8ad53cc92e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ac5d2cd8334525b70dcf75f8ad53cc92e">GetFocusedSlot</a> ()</td></tr>
<tr class="separator:ac5d2cd8334525b70dcf75f8ad53cc92e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae50bd70fe6ba72fe65bc7f08dfc9fd78"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ae50bd70fe6ba72fe65bc7f08dfc9fd78">SelectItem</a> ()</td></tr>
<tr class="separator:ae50bd70fe6ba72fe65bc7f08dfc9fd78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8741e98e17735f871d0c2ad9b5c115e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#af8741e98e17735f871d0c2ad9b5c115e">Select</a> ()</td></tr>
<tr class="separator:af8741e98e17735f871d0c2ad9b5c115e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac03fbaa7b7e70d62c169a777c5ebd734"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ac03fbaa7b7e70d62c169a777c5ebd734">GetRecipeCount</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> recipe_anywhere, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity1, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity2)</td></tr>
<tr class="separator:ac03fbaa7b7e70d62c169a777c5ebd734"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a264f74814e631c76bfa7ce0f97a06555"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a264f74814e631c76bfa7ce0f97a06555">CanCombine</a> ()</td></tr>
<tr class="separator:a264f74814e631c76bfa7ce0f97a06555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54291b066e31cbe8bfb4efa35d6b2b0b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a54291b066e31cbe8bfb4efa35d6b2b0b">CanCombineAmmo</a> ()</td></tr>
<tr class="separator:a54291b066e31cbe8bfb4efa35d6b2b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdf778a41a43be7b6965b62186728f7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#acdf778a41a43be7b6965b62186728f7a">CanEquip</a> ()</td></tr>
<tr class="separator:acdf778a41a43be7b6965b62186728f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add9d453d27237b1d1c0ecbdc9bd674ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#add9d453d27237b1d1c0ecbdc9bd674ab">Combine</a> ()</td></tr>
<tr class="separator:add9d453d27237b1d1c0ecbdc9bd674ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a660a4a04f8b585b4d654f5d7150eb736"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a660a4a04f8b585b4d654f5d7150eb736">SplitItem</a> ()</td></tr>
<tr class="separator:a660a4a04f8b585b4d654f5d7150eb736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea86b7d8e091b860bfda631d5223dfc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a5ea86b7d8e091b860bfda631d5223dfc">EquipItem</a> ()</td></tr>
<tr class="separator:a5ea86b7d8e091b860bfda631d5223dfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a335726d5e8c676e9e37215ad636f374a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a335726d5e8c676e9e37215ad636f374a">TransferItem</a> ()</td></tr>
<tr class="separator:a335726d5e8c676e9e37215ad636f374a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6e0c562315bf5ed009e4f5838f35293"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ad6e0c562315bf5ed009e4f5838f35293">InspectItem</a> ()</td></tr>
<tr class="separator:ad6e0c562315bf5ed009e4f5838f35293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63564b4f44bb01ece5001d8497ad2fcb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a63564b4f44bb01ece5001d8497ad2fcb">TransferItemToVicinity</a> ()</td></tr>
<tr class="separator:a63564b4f44bb01ece5001d8497ad2fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33b16c6ba91871d2698db2a43c25e80b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a33b16c6ba91871d2698db2a43c25e80b">IsActive</a> ()</td></tr>
<tr class="separator:a33b16c6ba91871d2698db2a43c25e80b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a647f7e9e32124debfd807388ffc301c8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a647f7e9e32124debfd807388ffc301c8">GetAttachmentHeight</a> ()</td></tr>
<tr class="separator:a647f7e9e32124debfd807388ffc301c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7557cf3c6a904c8c8711feaad844c0d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a7557cf3c6a904c8c8711feaad844c0d4">UpdateInterval</a> ()</td></tr>
<tr class="separator:a7557cf3c6a904c8c8711feaad844c0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453217b263fb18bfb1bd30b8d2a8002f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a453217b263fb18bfb1bd30b8d2a8002f">GetSlotsSorted</a> ()</td></tr>
<tr class="separator:a453217b263fb18bfb1bd30b8d2a8002f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc46b063aaccf47af76f0c3d8cc7b18"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a2dc46b063aaccf47af76f0c3d8cc7b18">AttachmentAdded</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a2dc46b063aaccf47af76f0c3d8cc7b18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb9421f98172329fededa5329940a83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a1bb9421f98172329fededa5329940a83">AttachmentRemoved</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a1bb9421f98172329fededa5329940a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9736f370ab3ef8ed0251a8c2b0fa8eae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a9736f370ab3ef8ed0251a8c2b0fa8eae">OnAttachmentReservationSet</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:a9736f370ab3ef8ed0251a8c2b0fa8eae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e839ab44d2a4ea46333122374f1b03f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a2e839ab44d2a4ea46333122374f1b03f">OnAttachmentReservationRelease</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:a2e839ab44d2a4ea46333122374f1b03f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add7d708363cff73fba7a6cd5f0b0b00f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#add7d708363cff73fba7a6cd5f0b0b00f">InitAttachmentGrid</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> att_row_index)</td></tr>
<tr class="separator:add7d708363cff73fba7a6cd5f0b0b00f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53329b32ef5a9381a5ca174fc9c10006"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a53329b32ef5a9381a5ca174fc9c10006">GetItemSlots</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:a53329b32ef5a9381a5ca174fc9c10006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab0471bd24ebac6ab5c8ccfbf8d3cac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#aeab0471bd24ebac6ab5c8ccfbf8d3cac">ShowFalseAttachmentsHeader</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> show)</td></tr>
<tr class="separator:aeab0471bd24ebac6ab5c8ccfbf8d3cac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16004385988877a562037d33cd5ef2be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a16004385988877a562037d33cd5ef2be">SetFalseAttachmentsHeaderText</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> text)</td></tr>
<tr class="separator:a16004385988877a562037d33cd5ef2be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac66e9b5da45f07376cfbe1a76ec6d368"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ac66e9b5da45f07376cfbe1a76ec6d368">GetFalseHeaderTextWidget</a> ()</td></tr>
<tr class="separator:ac66e9b5da45f07376cfbe1a76ec6d368"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6d82a7da3a10a3551f866ea3bb76ab8a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/d8f/class_container.html">Container</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a6d82a7da3a10a3551f866ea3bb76ab8a">m_Parent</a></td></tr>
<tr class="separator:a6d82a7da3a10a3551f866ea3bb76ab8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a451a699eb35b32ac28219b1658b21f65"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a451a699eb35b32ac28219b1658b21f65">m_Entity</a></td></tr>
<tr class="separator:a451a699eb35b32ac28219b1658b21f65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86379c8c6eb8c6aaee76e86c39fb306b"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d8/d60/class_attachments_wrapper.html">AttachmentsWrapper</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a86379c8c6eb8c6aaee76e86c39fb306b">m_AttachmentsContainer</a></td></tr>
<tr class="separator:a86379c8c6eb8c6aaee76e86c39fb306b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a820ecc46e68d60d16c324ed935d2d4a5"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a820ecc46e68d60d16c324ed935d2d4a5">m_AttachmentSlotNames</a></td></tr>
<tr class="separator:a820ecc46e68d60d16c324ed935d2d4a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fac16dc448582ea82281ee9e4bbd329"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a6fac16dc448582ea82281ee9e4bbd329">m_AttachmentSlotDisplayable</a></td></tr>
<tr class="separator:a6fac16dc448582ea82281ee9e4bbd329"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac445f967ebfbcdff03b3cfc3855a3cd1"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ac445f967ebfbcdff03b3cfc3855a3cd1">m_AttachmentSlots</a></td></tr>
<tr class="separator:ac445f967ebfbcdff03b3cfc3855a3cd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e5b7bb6b568a760950af503007b48a"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#ad1e5b7bb6b568a760950af503007b48a">m_AttachmentIDOrdered</a></td></tr>
<tr class="separator:ad1e5b7bb6b568a760950af503007b48a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfb4cfcddd84c24aa2fa073511b76b0"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6f/class_attachments.html#a3bfb4cfcddd84c24aa2fa073511b76b0">m_RowIndex</a></td></tr>
<tr class="separator:a3bfb4cfcddd84c24aa2fa073511b76b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8f3a11492a68425d50c4996f601ff86f" name="a8f3a11492a68425d50c4996f601ff86f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f3a11492a68425d50c4996f601ff86f">&#9670;&#160;</a></span>Attachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::Attachments </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d8f/class_container.html">Container</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a81fc53632ec39023faead2ef18fdeaf6" name="a81fc53632ec39023faead2ef18fdeaf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81fc53632ec39023faead2ef18fdeaf6">&#9670;&#160;</a></span>~Attachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::~Attachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00030">30</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2dc46b063aaccf47af76f0c3d8cc7b18" name="a2dc46b063aaccf47af76f0c3d8cc7b18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dc46b063aaccf47af76f0c3d8cc7b18">&#9670;&#160;</a></span>AttachmentAdded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::AttachmentAdded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00408">408</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a1bb9421f98172329fededa5329940a83" name="a1bb9421f98172329fededa5329940a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bb9421f98172329fededa5329940a83">&#9670;&#160;</a></span>AttachmentRemoved()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::AttachmentRemoved </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00423">423</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a264f74814e631c76bfa7ce0f97a06555" name="a264f74814e631c76bfa7ce0f97a06555"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a264f74814e631c76bfa7ce0f97a06555">&#9670;&#160;</a></span>CanCombine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::CanCombine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00197">197</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a54291b066e31cbe8bfb4efa35d6b2b0b" name="a54291b066e31cbe8bfb4efa35d6b2b0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54291b066e31cbe8bfb4efa35d6b2b0b">&#9670;&#160;</a></span>CanCombineAmmo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::CanCombineAmmo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00205">205</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="acdf778a41a43be7b6965b62186728f7a" name="acdf778a41a43be7b6965b62186728f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdf778a41a43be7b6965b62186728f7a">&#9670;&#160;</a></span>CanEquip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::CanEquip </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00216">216</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="add9d453d27237b1d1c0ecbdc9bd674ab" name="add9d453d27237b1d1c0ecbdc9bd674ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9d453d27237b1d1c0ecbdc9bd674ab">&#9670;&#160;</a></span>Combine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::Combine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00227">227</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a5ea86b7d8e091b860bfda631d5223dfc" name="a5ea86b7d8e091b860bfda631d5223dfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea86b7d8e091b860bfda631d5223dfc">&#9670;&#160;</a></span>EquipItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::EquipItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00255">255</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a647f7e9e32124debfd807388ffc301c8" name="a647f7e9e32124debfd807388ffc301c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a647f7e9e32124debfd807388ffc301c8">&#9670;&#160;</a></span>GetAttachmentHeight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Attachments::GetAttachmentHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00308">308</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ac66e9b5da45f07376cfbe1a76ec6d368" name="ac66e9b5da45f07376cfbe1a76ec6d368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac66e9b5da45f07376cfbe1a76ec6d368">&#9670;&#160;</a></span>GetFalseHeaderTextWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> Attachments::GetFalseHeaderTextWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00598">598</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a9cf1ae8b76e00525f0fefa3c04853e54" name="a9cf1ae8b76e00525f0fefa3c04853e54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cf1ae8b76e00525f0fefa3c04853e54">&#9670;&#160;</a></span>GetFocusedItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> Attachments::GetFocusedItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00103">103</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ac5d2cd8334525b70dcf75f8ad53cc92e" name="ac5d2cd8334525b70dcf75f8ad53cc92e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5d2cd8334525b70dcf75f8ad53cc92e">&#9670;&#160;</a></span>GetFocusedSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Attachments::GetFocusedSlot </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00108">108</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a31c9d103c3503fae9db106b99871859d" name="a31c9d103c3503fae9db106b99871859d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31c9d103c3503fae9db106b99871859d">&#9670;&#160;</a></span>GetFocusedSlotsIcon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a> Attachments::GetFocusedSlotsIcon </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00098">98</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a53329b32ef5a9381a5ca174fc9c10006" name="a53329b32ef5a9381a5ca174fc9c10006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53329b32ef5a9381a5ca174fc9c10006">&#9670;&#160;</a></span>GetItemSlots()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; Attachments::GetItemSlots </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00555">555</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ac03fbaa7b7e70d62c169a777c5ebd734" name="ac03fbaa7b7e70d62c169a777c5ebd734"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac03fbaa7b7e70d62c169a777c5ebd734">&#9670;&#160;</a></span>GetRecipeCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Attachments::GetRecipeCount </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>recipe_anywhere</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00191">191</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a453217b263fb18bfb1bd30b8d2a8002f" name="a453217b263fb18bfb1bd30b8d2a8002f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453217b263fb18bfb1bd30b8d2a8002f">&#9670;&#160;</a></span>GetSlotsSorted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt; Attachments::GetSlotsSorted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00403">403</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a8e4d03c0596604b4b1a4b5b54d9c1de6" name="a8e4d03c0596604b4b1a4b5b54d9c1de6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e4d03c0596604b4b1a4b5b54d9c1de6">&#9670;&#160;</a></span>GetWrapper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d60/class_attachments_wrapper.html">AttachmentsWrapper</a> Attachments::GetWrapper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00043">43</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="add7d708363cff73fba7a6cd5f0b0b00f" name="add7d708363cff73fba7a6cd5f0b0b00f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add7d708363cff73fba7a6cd5f0b0b00f">&#9670;&#160;</a></span>InitAttachmentGrid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::InitAttachmentGrid </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>att_row_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00450">450</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ad6e0c562315bf5ed009e4f5838f35293" name="ad6e0c562315bf5ed009e4f5838f35293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6e0c562315bf5ed009e4f5838f35293">&#9670;&#160;</a></span>InspectItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::InspectItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00277">277</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a33b16c6ba91871d2698db2a43c25e80b" name="a33b16c6ba91871d2698db2a43c25e80b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33b16c6ba91871d2698db2a43c25e80b">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00303">303</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a8778c834a75ada693f356690b8c8885d" name="a8778c834a75ada693f356690b8c8885d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8778c834a75ada693f356690b8c8885d">&#9670;&#160;</a></span>IsEmpty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::IsEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00048">48</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a920674e372db46662ec86d3fe80523d6" name="a920674e372db46662ec86d3fe80523d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a920674e372db46662ec86d3fe80523d6">&#9670;&#160;</a></span>IsItemActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::IsItemActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00053">53</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a8f7ed7dbcc8607fc32bb71a4a637ac84" name="a8f7ed7dbcc8607fc32bb71a4a637ac84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f7ed7dbcc8607fc32bb71a4a637ac84">&#9670;&#160;</a></span>IsItemWithQuantityActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::IsItemWithQuantityActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00063">63</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a2e839ab44d2a4ea46333122374f1b03f" name="a2e839ab44d2a4ea46333122374f1b03f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e839ab44d2a4ea46333122374f1b03f">&#9670;&#160;</a></span>OnAttachmentReservationRelease()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::OnAttachmentReservationRelease </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00443">443</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a9736f370ab3ef8ed0251a8c2b0fa8eae" name="a9736f370ab3ef8ed0251a8c2b0fa8eae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9736f370ab3ef8ed0251a8c2b0fa8eae">&#9670;&#160;</a></span>OnAttachmentReservationSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::OnAttachmentReservationSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00433">433</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="af8741e98e17735f871d0c2ad9b5c115e" name="af8741e98e17735f871d0c2ad9b5c115e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8741e98e17735f871d0c2ad9b5c115e">&#9670;&#160;</a></span>Select()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::Select </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00129">129</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ae50bd70fe6ba72fe65bc7f08dfc9fd78" name="ae50bd70fe6ba72fe65bc7f08dfc9fd78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae50bd70fe6ba72fe65bc7f08dfc9fd78">&#9670;&#160;</a></span>SelectItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::SelectItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00116">116</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a51b251f40f7bc209d247494e04c04e62" name="a51b251f40f7bc209d247494e04c04e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51b251f40f7bc209d247494e04c04e62">&#9670;&#160;</a></span>SelFirstActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::SelFirstActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00093">93</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a8831c1bd38b2a749d49150bdaa888349" name="a8831c1bd38b2a749d49150bdaa888349"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8831c1bd38b2a749d49150bdaa888349">&#9670;&#160;</a></span>SetActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::SetActive </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>active</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00088">88</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a2d469ee52ad33e88f10e177094f3378d" name="a2d469ee52ad33e88f10e177094f3378d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d469ee52ad33e88f10e177094f3378d">&#9670;&#160;</a></span>SetDefaultFocus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::SetDefaultFocus </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>while_micromanagment_mode</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00078">78</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a16004385988877a562037d33cd5ef2be" name="a16004385988877a562037d33cd5ef2be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16004385988877a562037d33cd5ef2be">&#9670;&#160;</a></span>SetFalseAttachmentsHeaderText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::SetFalseAttachmentsHeaderText </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00593">593</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="adbc57413df20bb083387f47f42169780" name="adbc57413df20bb083387f47f42169780"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbc57413df20bb083387f47f42169780">&#9670;&#160;</a></span>SetLastActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::SetLastActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00083">83</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="aeab0471bd24ebac6ab5c8ccfbf8d3cac" name="aeab0471bd24ebac6ab5c8ccfbf8d3cac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeab0471bd24ebac6ab5c8ccfbf8d3cac">&#9670;&#160;</a></span>ShowFalseAttachmentsHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::ShowFalseAttachmentsHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>show</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00588">588</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a660a4a04f8b585b4d654f5d7150eb736" name="a660a4a04f8b585b4d654f5d7150eb736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a660a4a04f8b585b4d654f5d7150eb736">&#9670;&#160;</a></span>SplitItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::SplitItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00241">241</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a335726d5e8c676e9e37215ad636f374a" name="a335726d5e8c676e9e37215ad636f374a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a335726d5e8c676e9e37215ad636f374a">&#9670;&#160;</a></span>TransferItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::TransferItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00266">266</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a63564b4f44bb01ece5001d8497ad2fcb" name="a63564b4f44bb01ece5001d8497ad2fcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63564b4f44bb01ece5001d8497ad2fcb">&#9670;&#160;</a></span>TransferItemToVicinity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Attachments::TransferItemToVicinity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00288">288</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a49d3f42c0f31178a4ea1ffad0618789f" name="a49d3f42c0f31178a4ea1ffad0618789f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49d3f42c0f31178a4ea1ffad0618789f">&#9670;&#160;</a></span>UnfocusAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::UnfocusAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00073">73</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a7557cf3c6a904c8c8711feaad844c0d4" name="a7557cf3c6a904c8c8711feaad844c0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7557cf3c6a904c8c8711feaad844c0d4">&#9670;&#160;</a></span>UpdateInterval()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Attachments::UpdateInterval </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00313">313</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad1e5b7bb6b568a760950af503007b48a" name="ad1e5b7bb6b568a760950af503007b48a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1e5b7bb6b568a760950af503007b48a">&#9670;&#160;</a></span>m_AttachmentIDOrdered</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; Attachments::m_AttachmentIDOrdered</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00011">11</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a86379c8c6eb8c6aaee76e86c39fb306b" name="a86379c8c6eb8c6aaee76e86c39fb306b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86379c8c6eb8c6aaee76e86c39fb306b">&#9670;&#160;</a></span>m_AttachmentsContainer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d8/d60/class_attachments_wrapper.html">AttachmentsWrapper</a> Attachments::m_AttachmentsContainer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00007">7</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a6fac16dc448582ea82281ee9e4bbd329" name="a6fac16dc448582ea82281ee9e4bbd329"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fac16dc448582ea82281ee9e4bbd329">&#9670;&#160;</a></span>m_AttachmentSlotDisplayable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; Attachments::m_AttachmentSlotDisplayable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00009">9</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a820ecc46e68d60d16c324ed935d2d4a5" name="a820ecc46e68d60d16c324ed935d2d4a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a820ecc46e68d60d16c324ed935d2d4a5">&#9670;&#160;</a></span>m_AttachmentSlotNames</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; Attachments::m_AttachmentSlotNames</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="ac445f967ebfbcdff03b3cfc3855a3cd1" name="ac445f967ebfbcdff03b3cfc3855a3cd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac445f967ebfbcdff03b3cfc3855a3cd1">&#9670;&#160;</a></span>m_AttachmentSlots</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d3/dae/class_slots_icon.html">SlotsIcon</a>&gt; Attachments::m_AttachmentSlots</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00010">10</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a451a699eb35b32ac28219b1658b21f65" name="a451a699eb35b32ac28219b1658b21f65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a451a699eb35b32ac28219b1658b21f65">&#9670;&#160;</a></span>m_Entity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> Attachments::m_Entity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a6d82a7da3a10a3551f866ea3bb76ab8a" name="a6d82a7da3a10a3551f866ea3bb76ab8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d82a7da3a10a3551f866ea3bb76ab8a">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/d8f/class_container.html">Container</a> Attachments::m_Parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00005">5</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<a id="a3bfb4cfcddd84c24aa2fa073511b76b0" name="a3bfb4cfcddd84c24aa2fa073511b76b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bfb4cfcddd84c24aa2fa073511b76b0">&#9670;&#160;</a></span>m_RowIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Attachments::m_RowIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/<a class="el" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html">Attachments.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d6f/class_attachments.html">Attachments</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
